package
{
import flash.display.*
import flash.text.*;
import flash.events.*;
import flash.utils.*;
import flash.net.*;
import flash.external.*;

/**
 * 
 * 
 * @author	neolao (neo@neolao.com)
 */
public class FakeDesktop extends Sprite
{
	// ------------------------------ CONSTANTS --------------------------------
	
	// ------------------------------ VARIABLES --------------------------------
	
	/**
	 * The flash parameters
	 */
	public var parameters:Object;
	/**
	 * 
	 */
	protected var _desktop:Sprite;
	protected var _message:TextField;
	
	
	
	/*============================= CONSTRUCTOR ==============================*/
	/*========================================================================*/
	/**
	 * Constructor
	 */
	public function FakeDesktop()
	{
		// Parameters
		this.parameters = this.root.loaderInfo.parameters;
		
		// Text
		var format:TextFormat = new TextFormat();
		this._message = new TextField();
        format.font = "Verdana";
        format.color = 0x0000FF;
        format.size = 12;
        format.underline = true;
        this._message .defaultTextFormat = format;
		this._message .selectable = false;
		this._message .text = this.parameters.message;
		this._message .y = -1;
		this.addChild(this._message);
		
		// Click
		var button:Sprite = new Sprite();
		button.graphics.beginFill(0xFFFFFF, 0);
		button.graphics.lineTo(5000, 0);
		button.graphics.lineTo(5000, 5000);
		button.graphics.lineTo(0, 5000);
		button.graphics.endFill();
		button.buttonMode = true;
		button.useHandCursor = true;
		this.addChild(button);
		button.addEventListener(MouseEvent.CLICK, this._clickHandler);
		
		// The stage
		stage.align = StageAlign.TOP_LEFT;
		stage.scaleMode = StageScaleMode.NO_SCALE;
		stage.addEventListener(FullScreenEvent.FULL_SCREEN, this._fullscreenHandler);
		//stage.addEventListener(Event.RESIZE, this._resizeHandler);
		
		// Desktops
		//this._desktop = new DesktopWindows();
		this._desktop.visible = false;
		this.addChild(this._desktop);
	}
	/*======================= END = CONSTRUCTOR = END ========================*/
	/*========================================================================*/
	
	/*================================ PUBLIC ================================*/
	/*========================================================================*/

	/*========================== END = PUBLIC = END ==========================*/
	/*========================================================================*/
	
	/*=============================== PRIVATE ================================*/
	/*========================================================================*/
	/**
	 * 
	 */
	private function _resizeHandler(pEvent:Event):void
	{
		
	}
	/**
	 * 
	 */
	private function _fullscreenHandler(pEvent:FullScreenEvent):void
	{
		if (pEvent.fullScreen) {
			this._desktop.visible = true;
		} else {
			this._desktop.visible = false;
		}
	}
	/**
	 * 
	 */
	private function _clickHandler(pEvent:MouseEvent):void
	{
		stage.displayState = StageDisplayState.FULL_SCREEN;
	}
	/*========================= END = PRIVATE = END ==========================*/
	/*========================================================================*/
}	
}