package
{
import flash.display.*
import flash.text.*;
import flash.events.*;
import flash.utils.*;
import flash.net.*;
import flash.external.*;


/**
 * Desktop Ubuntu
 * 
 * @author	neolao (neo@neolao.com)
 */
public class DesktopUbuntu extends Sprite
{
	// ------------------------------ CONSTANTS --------------------------------
	
	// ------------------------------ VARIABLES --------------------------------
	[Embed(source="../images/ubuntu/task_bar.png")]
	private var _taskBarImage:Class;
	private var _taskBar:Bitmap;
	
	[Embed(source="../images/ubuntu/task_bar2.png")]
	private var _taskBar2Image:Class;
	private var _taskBar2:Bitmap;
	
	[Embed(source="../images/ubuntu/launch_buttons.png")]
	private var _launchButtonsImage:Class;
	private var _launchButtons:Bitmap;
	
	[Embed(source="../images/ubuntu/date.png")]
	private var _dateImage:Class;
	private var _date:Bitmap;
	
	[Embed(source="../images/ubuntu/icon1.png")]
	private var _icon1Image:Class;
	private var _icon1:Bitmap;
	
	[Embed(source="../images/ubuntu/icon2.png")]
	private var _icon2Image:Class;
	private var _icon2:Bitmap;
	
	
	/*============================= CONSTRUCTOR ==============================*/
	/*========================================================================*/
	/**
	 * Constructor
	 */
	public function DesktopUbuntu()
	{
		// background
		var background:Sprite = new Sprite();
		background.graphics.beginFill(0x816647);
		background.graphics.lineTo(5000, 0);
		background.graphics.lineTo(5000, 5000);
		background.graphics.lineTo(0, 5000);
		background.graphics.endFill();
		this.addChild(background);
		
		// task bar
		this._taskBar = new _taskBarImage() as Bitmap;
        this.addChild(this._taskBar);
        
		// task bar 2
		this._taskBar2 = new _taskBar2Image() as Bitmap;
        this.addChild(this._taskBar2);
		
		// launch buttons
		this._launchButtons = new _launchButtonsImage() as Bitmap;
        this.addChild(this._launchButtons);
		
		// date
		this._date = new _dateImage() as Bitmap;
        this.addChild(this._date);
		
		// icon 1
		this._icon1 = new _icon1Image() as Bitmap;
        this.addChild(this._icon1);
		
		// icon 2
		this._icon2 = new _icon2Image() as Bitmap;
        this.addChild(this._icon2);
		
		// events
		this.addEventListener(Event.ADDED, this._addedHandler);
	}
	/*======================= END = CONSTRUCTOR = END ========================*/
	/*========================================================================*/
	
	/*================================ PUBLIC ================================*/
	/*========================================================================*/

	/*========================== END = PUBLIC = END ==========================*/
	/*========================================================================*/
	
	/*=============================== PRIVATE ================================*/
	/*========================================================================*/
	/**
	 * 
	 */
	private function _addedHandler(pEvent:Event):void
	{
		stage.addEventListener(Event.RESIZE, this._resizeHandler);
	}
	/**
	 * 
	 */
	private function _resizeHandler(pEvent:Event):void
	{
		this._date.x = stage.stageWidth - this._date.width;
		this._taskBar2.y = stage.stageHeight - this._taskBar2.height;
		this._icon1.y = stage.stageHeight - this._icon1.height;
		this._icon2.y = stage.stageHeight - this._icon2.height;
		this._icon2.x = stage.stageWidth - this._icon2.width;
	}
	/*========================= END = PRIVATE = END ==========================*/
	/*========================================================================*/
}	
}